Summary: Library for the Portable Network Graphics Format (PNG)
Name: libpng12
Version: 1.2.57
Release: 10
License: Zlib
URL: http://www.libpng.org/pub/png/

Source0: https://sourceforge.net/projects/libpng/files/libpng12/older-releases/%{version}/libpng-%{version}.tar.xz

BuildRequires: gcc pkgconfig zlib-devel

%description
libpng is the official reference library for the Portable Network
Graphics format (PNG). This package provides an older version of the libpng.

%package devel
Summary: Development files for libpng12
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: zlib-devel%{?_isa}

%description devel
The libpng12-devel package contains header and help files for developing
programs using libpng12.

%prep
%autosetup -n libpng-%{version}

%build
%configure --disable-static --without-libpng-compat
%make_build

%install
%make_install
%delete_la
find %{buildroot} -type l -name "*.la" -delete

%check
make check

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc libpng-%{version}.txt README TODO CHANGES
%{_libdir}/libpng12.so.0*
%exclude %{_mandir}/man5/*

%files devel
%{_bindir}/libpng12-config
%{_includedir}/libpng12/
%{_libdir}/libpng12.so
%{_libdir}/pkgconfig/libpng12.pc
%exclude %{_bindir}/libpng-config
%exclude %{_includedir}/{png,pngconf}.h
%exclude %{_libdir}/libpng.so
%exclude %{_libdir}/pkgconfig/libpng.pc
%exclude %{_mandir}/man3/{libpng,libpngpf}.3*

%changelog
* Tue Nov 19 2019 mengxian <mengxian@huawei.com> - 1.2.57-9
- Package init
